
var status_colors = {
	'Open': '#ffffff',
	'In Development': '#ffeb99',
	'In Testing': '#9ae59a',
	'Closed': '#9ad2e5',
	'Deprecated': '#ff6666'
}

var type_colors = {
	'Feature': '#9ad2e5',
	'Issue': '#ffeb99',
	'Bug': '#ff6666',
}

$(document).ready( function() {

	$('tr[data-href]').on("click", function() {
		document.location = $(this).data('href');
	});

	$('.obj-status').each(function() {
		element = $(this);
		status = element.html();
		element.css('background-color', status_colors[status]);
	});

	$('.obj-type').each(function() {
		element = $(this);
		status = element.html();
		element.css('background-color', type_colors[status]);
	});

	$('.obj-type.feature').css('background-color', type_colors['Feature'])
	$('.obj-type.issue').css('background-color', type_colors['Issue'])
	$('.obj-type.bug').css('background-color', type_colors['Bug'])

	$('textarea').each(function() { adjustHeight2(this); });
	$('textarea').on('keyup', function() { adjustHeight2(this); });
	
});

function adjustHeight(el){
    if(el.scrollHeight > el.clientHeight) {
		el.style.height = el.scrollHeight +"px" 
	}
	else if (el.scrollHeight < el.clientHeight) {
		el.style.height = el.clientHeight +"px"
	}
}

function adjustHeight2(el) {
	el.style.height = "1px";
	el.style.height = el.scrollHeight +"px";
}